Loading...
Searching...
No Matches
DcmListNode Class Reference

helper class maintaining an entry in a DcmList double-linked list More...

## Public Member Functions

| DcmListNode (DcmObject *obj)
| constructor
| ~DcmListNode ()
| destructor
DcmObject * | value ()
| return pointer to object maintained by this list node

## Private Member Functions

| DcmListNode (const DcmListNode &)
| private undefined copy constructor
DcmListNode & | operator= (const DcmListNode &)
| private undefined copy assignment operator

## Private Attributes

DcmListNode * | nextNode
| pointer to next node in double-linked list
DcmListNode * | prevNode
| pointer to previous node in double-linked list
DcmObject * | objNodeValue
| pointer to DcmObject instance maintained by this list entry

## Friends

class | DcmList

## Detailed Description

helper class maintaining an entry in a DcmList double-linked list

## Constructor & Destructor Documentation

## DcmListNode()

DcmListNode::DcmListNode | ( | DcmObject * | obj | ) |

constructor

Parameters

  obj | object to be maintained by this list node

Referenced by DcmListNode(), and operator=().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dclist.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0